OnlyFans API
OnlyFans

Enable/Disable DRM

Enable or disable DRM protection for media. DRM Protection helps to protect video content from being copied or downloaded. After you enable it, DRM Protection will be applied to uploads after that date. DRM Protection may limit the ability of fans using older devices to view this video content.

PATCH
/api/{account}/settings/drm
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Request Body

application/json

enabled*boolean

Whether DRM protection should be enabled.

Response Body

application/json

curl -X PATCH "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/settings/drm" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{
  "data": {
    "init": {
      "upload": {
        "geoUploadArgs": {
          "preset": "of_drm",
          "protected_preset": "of_drm",
          "preset_public": "of_public",
          "preset_png": "of_png",
          "isDelay": true,
          "needThumbs": true
        }
      }
    },
    "success": true
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999969,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 10000000,
      "limit_day": 50000,
      "remaining_minute": 9999998,
      "remaining_day": 49970
    }
  }
}